WriterData Struct Reference
Collaboration diagram for WriterData:
[legend]

## Data Fields

SDL_EventQueue * | queue
int | index
char | padding1 [SDL_CACHELINE_SIZE-(sizeof(SDL_EventQueue *)+sizeof(int))%SDL_CACHELINE_SIZE]
int | waits
SDL_bool | lock_free
char | padding2 [SDL_CACHELINE_SIZE-sizeof(int) -sizeof(SDL_bool)]

## Detailed Description

Definition at line 479 of file testatomic.c.

## Field Documentation

## index

int WriterData::index

Definition at line 482 of file testatomic.c.

Referenced by FIFO_Reader(), and RunFIFOTest().

## lock_free

SDL_bool WriterData::lock_free

Definition at line 485 of file testatomic.c.

Referenced by FIFO_Writer(), and RunFIFOTest().

## padding1

char WriterData::padding1[SDL_CACHELINE_SIZE-(sizeof(SDL_EventQueue *)+sizeof(int))%SDL_CACHELINE_SIZE]

Definition at line 483 of file testatomic.c.

## padding2

char WriterData::padding2[SDL_CACHELINE_SIZE-sizeof(int) -sizeof(SDL_bool)]

Definition at line 486 of file testatomic.c.

## queue

SDL_EventQueue* WriterData::queue

Definition at line 481 of file testatomic.c.

Referenced by FIFO_Writer(), and RunFIFOTest().

## waits

int WriterData::waits

Definition at line 484 of file testatomic.c.

Referenced by FIFO_Writer().

The documentation for this struct was generated from the following file:

- test/testatomic.c